import { jsx } from "react/jsx-runtime";
import { TokenEGLD as TokenEGLD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEGLD = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EGLD", "data-name": "TokenEGLD", ...props, children: /* @__PURE__ */ jsx(TokenEGLD$1, { variant }) });
  }
);
TokenEGLD.displayName = "TokenEGLD";
Object.assign(TokenEGLD, { isGdsIcon: true });
export {
  TokenEGLD
};
